[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.WSRegisterClass

Registers the task dialog class in the widgetset when needed.

## Declaration

Source position: dialogs.pp line 775

`protected class procedure TCustomTaskDialog.WSRegisterClass; override;`

## Description

Calls the factory routine in the widgetset implementation if it has not already been registered.

## Version info

Added in LCL version 4.0.